GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
gdcm::PixmapReader Class Reference

PixmapReader. More...

`#include <gdcmPixmapReader.h>`

Inheritance diagram for gdcm::PixmapReader:
[legend]
Collaboration diagram for gdcm::PixmapReader:
[legend]

List of all members.

## Public Member Functions

| PixmapReader ()
virtual | ~PixmapReader ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first)
Pixmap & | GetPixmap ()
virtual bool | Read ()

## Protected Member Functions

virtual bool | ReadACRNEMAImage ()
virtual bool | ReadImage (MediaStorage const &ms)

## Protected Attributes

SmartPointer< Pixmap > | PixelData

## Detailed Description

PixmapReader.

Note:
  its role is to convert the DICOM DataSet into a gdcm::Pixmap representation By default it is also loading the lookup table and overlay when found as they impact the rendering or the image

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES for the list of attribute that belong to what gdcm calls a 'Pixmap'

Warning:
  the API ReadUpToTag and ReadSelectedTag

See also:
  Pixmap

## Constructor & Destructor Documentation

gdcm::PixmapReader::PixmapReader | ( |  | ) |

virtual gdcm::PixmapReader::~PixmapReader | ( |  | ) | `[virtual]`

## Member Function Documentation

const Pixmap& gdcm::PixmapReader::GetPixmap | ( |  | ) | const

Return the read image (need to call Read() first)

Pixmap& gdcm::PixmapReader::GetPixmap | ( |  | ) |

virtual bool gdcm::PixmapReader::Read | ( |  | ) | `[virtual]`

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Pixmap.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadACRNEMAImage | ( |  | ) | `[protected, virtual]`

Reimplemented in gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadImage | ( | MediaStorage const & | ms | ) | `[protected, virtual]`

Reimplemented in gdcm::ImageReader.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapReader::PixelData`[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmapReader.h